bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Racing condition leads to unstable exit code


From: Luiz Angelo Daros de Luca
Subject: Re: Racing condition leads to unstable exit code
Date: Wed, 03 May 2017 22:07:52 +0000

Strange... I still get 0

$ git clone https://git.savannah.gnu.org/git/bash.git
$ cd bash/
$ ./configure
$ make
$ ./bash testtrap.bash
18173:err=0 (should be 2)
$ ./bash --version
GNU bash, version 4.4.12(1)-release (x86_64-unknown-linux-gnu)
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>


This is free software; you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.


Em qua, 3 de mai de 2017 às 11:40, Chet Ramey <address@hidden>
escreveu:

> On 5/2/17 9:07 PM, Luiz Angelo Daros de Luca wrote:
> > Hi Chet,
> >
> > Is there any news on this? I noticed that Bash-4.4 patch 11 do touches
> > something related to
> > signals, subshell and command substitution but I still get the same
> > behavior on 4.4.12(1)-release (x86_64-suse-linux-gnu)
> >
> > I came up with a smaller script for this bug.
> >
> > trap "sleep 2" USR1
> > x=$(kill -USR1 $$; sleep 0.5; exit 2)
> > echo "$BASHPID:err=$? (should be 2)" >&2
>
> I get err=2 with the current devel branch source.
>
> Chet
>
>
> --
> ``The lyf so short, the craft so long to lerne.'' - Chaucer
>                  ``Ars longa, vita brevis'' - Hippocrates
> Chet Ramey, UTech, CWRU    address@hidden
> http://cnswww.cns.cwru.edu/~chet/
>
-- 

Luiz Angelo Daros de Luca
address@hidden


reply via email to

[Prev in Thread] Current Thread [Next in Thread]